import request from '@/utils/request'

// 查询建筑基本信息列表
export function listPremises(query) {
  return request({
    url: '/ems/basecfg/area/building/list',
    method: 'get',
    params: query
  })
}

// 查询建筑基本信息详细
export function getPremises(id) {
  return request({
    url: '/ems/basecfg/area/building/' + id,
    method: 'get'
  })
}

// 新增建筑基本信息
export function addPremises(data) {
  return request({
    url: '/ems/basecfg/area/building',
    method: 'post',
    data: data
  })
}

// 修改建筑基本信息
export function updatePremises(data) {
  return request({
    url: '/ems/basecfg/area/building',
    method: 'put',
    data: data
  })
}

// 删除建筑基本信息
export function delPremises(id) {
  return request({
    url: '/ems/basecfg/area/building/' + id,
    method: 'delete'
  })
}
